# Class DigestAuthenticator.DigestInfo

java.lang.Object
org.apache.catalina.authenticator.DigestAuthenticator.DigestInfo

Enclosing class:
  `DigestAuthenticator`

public static class DigestAuthenticator.DigestInfo extends Object

Author:
  Craig R. McClanahan, Remy Maucherat

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DigestInfo(String opaque, long nonceValidity, String key, Map<String,DigestAuthenticator.NonceInfo> nonces, boolean validateUri)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Principal`
  `authenticate(Realm realm)`
  `String`
  `getUsername()`
  `boolean`
  `isNonceStale()`
  `boolean`
  `parse(Request request, String authorization)`
  `boolean`
  `validate(Request request)`
  Deprecated.
  `boolean`
  `validate(Request request, List<DigestAuthenticator.AuthDigest> algorithms)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DigestInfo

    public DigestInfo(String opaque, long nonceValidity, String key, Map<String,DigestAuthenticator.NonceInfo> nonces, boolean validateUri)

- ## Method Details

  - ### getUsername

    public String getUsername()

  - ### parse

    public boolean parse(Request request, String authorization)

  - ### validate

    @Deprecated public boolean validate(Request request)
    Deprecated.

  - ### validate

    public boolean validate(Request request, List<DigestAuthenticator.AuthDigest> algorithms)

  - ### isNonceStale

    public boolean isNonceStale()

  - ### authenticate

    public Principal authenticate(Realm realm)